Package io.dapr.v1

# Interface DaprProtos.JobOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.Job`, `DaprProtos.Job.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.JobOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.Any`
`getData()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`com.google.protobuf.AnyOrBuilder`
`getDataOrBuilder()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`String`
`getDueTime()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`com.google.protobuf.ByteString`
`getDueTimeBytes()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`String`
`getName()`
The unique name for the job.
`com.google.protobuf.ByteString`
`getNameBytes()`
The unique name for the job.
`int`
`getRepeats()`
repeats is the optional number of times in which the job should be triggered.
`String`
`getSchedule()`
schedule is an optional schedule at which the job is to be run.
`com.google.protobuf.ByteString`
`getScheduleBytes()`
schedule is an optional schedule at which the job is to be run.
`String`
`getTtl()`
ttl is the optional time to live or expiration of the job.
`com.google.protobuf.ByteString`
`getTtlBytes()`
ttl is the optional time to live or expiration of the job.
`boolean`
`hasData()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`boolean`
`hasDueTime()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`boolean`
`hasRepeats()`
repeats is the optional number of times in which the job should be triggered.
`boolean`
`hasSchedule()`
schedule is an optional schedule at which the job is to be run.
`boolean`
`hasTtl()`
ttl is the optional time to live or expiration of the job.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### hasSchedule

boolean hasSchedule()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Returns:
  Whether the schedule field is set.

### getSchedule

String getSchedule()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Returns:
  The schedule.

### getScheduleBytes

com.google.protobuf.ByteString getScheduleBytes()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Returns:
  The bytes for schedule.

### hasRepeats

boolean hasRepeats()

     repeats is the optional number of times in which the job should be
     triggered. If not set, the job will run indefinitely or until expiration.

`optional uint32 repeats = 3 [json_name = "repeats"];`

Returns:
  Whether the repeats field is set.

### getRepeats

int getRepeats()

     repeats is the optional number of times in which the job should be
     triggered. If not set, the job will run indefinitely or until expiration.

`optional uint32 repeats = 3 [json_name = "repeats"];`

Returns:
  The repeats.

### hasDueTime

boolean hasDueTime()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Returns:
  Whether the dueTime field is set.

### getDueTime

String getDueTime()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Returns:
  The dueTime.

### getDueTimeBytes

com.google.protobuf.ByteString getDueTimeBytes()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Returns:
  The bytes for dueTime.

### hasTtl

boolean hasTtl()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Returns:
  Whether the ttl field is set.

### getTtl

String getTtl()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Returns:
  The ttl.

### getTtlBytes

com.google.protobuf.ByteString getTtlBytes()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Returns:
  The bytes for ttl.

### hasData

boolean hasData()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

Returns:
  Whether the data field is set.

### getData

com.google.protobuf.Any getData()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

Returns:
  The data.

### getDataOrBuilder

com.google.protobuf.AnyOrBuilder getDataOrBuilder()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`